Subject: [bug#40265] [PATCH] gnu: python-intervaltree: Update to 3.0.2.

From: Efraim Flashner <[email-masked]>
Date: Wed, 1 Apr 2020 08:47:51 +0300

On Tue, Mar 31, 2020 at 04:58:43PM +0200, Marius Bakke wrote:
> Jakub Kądziołka <[email-masked]> writes:
> 
> > +    (arguments
> > +     `(#:phases
> > +       (modify-phases %standard-phases
> > +         (add-before 'check 'import-mismatch-error-workaround
> > +           (lambda _
> > +             (setenv "PY_IGNORE_IMPORTMISMATCH" "1")
> > +             #t)))))
> 
> Can you add a comment about what this does?

It seems to me there is some import mismatch and this is a workaround
for it. I assume it's related to deprecated python naming/modules and
may break on a python upgrade. IMO the phase name is descriptive enough,
and I assume if we were to remove it then it'd make a lot more sense
after seeing the error message.

> 
> Also, I guess this package should be moved out of bioinformatics.scm,
> assuming the software you are packaging is not bioinfo-related?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted